Skip to main content
POST
/
v1
/
compute
Create compute resource
curl --request POST \
  --url https://api.usenaive.ai/v1/compute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "image": "<string>",
  "command": [
    "<string>"
  ],
  "cpu": 256,
  "memory": 512,
  "port": 123,
  "env": {},
  "schedule_expr": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Body

application/json
name
string
required
type
enum<string>
required
Available options:
service,
job,
schedule
image
string
required
command
string[]
cpu
number
default:256
memory
number
default:512
port
number
env
object
schedule_expr
string

Response

Created.

The response is of type object.